Api reference
Install Codevisor on a host over SSH and add it to the account
POST
/v1/machines/addAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
ssh*string
name?string|null
sshPort?number||||null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/machines/add" \ -H "Content-Type: application/json" \ -d '{ "ssh": "string" }'{ "machine": { "id": "string", "name": "string", "os": "string", "online": true, "lastSeen": "string", "isCurrent": true, "addedBy": "string" }}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}